using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using PoseidonWebServiceClient.com.etech.Poseidon;

namespace PoseidonWebServiceClient
{
    public partial class fWebServiceClient : Form
    {
        private SensorServicePortTypeClient ws;

        public fWebServiceClient()
        {
            InitializeComponent();
            ws = new SensorServicePortTypeClient();
        }

        private void btnGetSensorList_Click(object sender, EventArgs e)
        {
            string[] sensorList = ws.GetSensorList("");

            //fill list box with received result
            lbSensorList.Items.Clear();
            lbSensorList.Items.AddRange(sensorList);
        }

        private void lbSensorList_SelectedIndexChanged(object sender, EventArgs e)
        {
            //String array used for GetSensorValueIn requested
            string[] sensorList = new string[1];
            sensorList[0] = lbSensorList.SelectedItem.ToString();

            //Save Reply to our request
            GetSensorValueOutSensor[] sensorValue = ws.GetSensorValue(sensorList);

            //Put received value to text field:
            tfSensorValue.Text = sensorValue[0].Value;
        }
    }
}
